* {
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    background-color: #4abdac;
    color: #dfdce3;
}

header {
    margin: 10px;
    padding: 5px;
    /*ovaj padding povećava kutiju za 10px po visini*/
    height: 90px;
    /*Ukupna visina kutije je 100px*/
    background-color: #fc4a1a;
    border-radius: 10px;
    background-image: url("../images/logo.png");
    background-repeat: no-repeat;
    background-position: right center;
    background-size: contain;
}

header h1 {
    height: 100%;
    text-align: center;
    font-size: 2em;
    line-height: 2.8125em;
    /*Visina 90px / 2 em => 2.8125em*/
}

nav {
    margin: 10px;
    padding: 5px;
    height: 70px;
    background-color: #f78733;
    border-radius: 10px;
}

nav ul {
    height: 100%;
    border-radius: 10px;
    list-style-type: none;
    text-align: center;
    font-size: 1.5em;
}

nav ul li {
    display: inline-block;
    margin-right: 30px;
    height: 100%;
    width: 120px;
}

nav ul li:last-child {
    margin-right: 0;
}

nav ul li a {
    display: inline-block;
    height: 100%;
    width: 100%;
    text-decoration: none;
    line-height: 2.916em;
    /*Visina 70px / 1.5em => 2.916em*/
    border-radius: 10px;
}

nav ul li a:hover {
    background-color: #dfdce3;
    color: #f78733;
}

main {
    margin: 10px;
    border-radius: 10px;
}

main article, aside {
    background-color: #f78733;
}



footer {
    
    background-color: #fc4a1a;
    margin: 10px;
    padding: 5px;
    height: 90px;
    border-radius: 10px;
}

footer ul {
    width: auto;
    height: auto;
    text-align: center;
    
    list-style-type: none;
}

footer ul li {
    display: inline-block;
    text-align: center;
    width: auto;
    height: auto;
}

footer ul li a {
    display: inline-block;
    width: auto;
    height: auto;
}

footer ul li a:hover{
    opacity: 0.5;
}

footer p {
    height: 100%;
    line-height: 5.625em;
    text-align: left
}

main{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

article:nth-of-type(1){
    order: 1;
}

aside:nth-of-type(1){
    order: 2;  
}

article:nth-of-type(2){
    order: 3;
}

aside:nth-of-type(2){
    order: 4;   
}

aside {
    flex-basis: 25%;
}

article {
    flex-basis: 70%;
}


aside {
    padding: 10px;
    margin: 5px;
    border-radius: 10px;
}

article {
    padding: 10px;
    margin: 5px;
    border-radius: 10px;
}

footer{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-between;
}

footer p{
    order: 1;
    flex-basis: 10%;
}

footer ul {
    order: 2;
    flex-basis: 90%;
    align-self: flex-end;
}

